Package svnmailer :: Package notifier :: Module news

[hide private]

# Module news

source code

Text based news notifier (via NNTP)

Author: Andr\xc3\xa9 Malo

Classes | [hide private]

| NNTPSubmitter Use NNTP to submit the notification as news article

Functions | [hide private]

`list`

getNotifier(settings, groupset) Returns an initialized notifier or nothing | source code

Variables | [hide private]

| __package__ = `None` hash(x)

Function Details | [hide private]

### getNotifier(settings, groupset)

source code

Returns an initialized notifier or nothing

Parameters:
  - `settings` (`svnmailer.settings.Settings`) - The svnmailer settings
  - `groupset` (`list`) - The groupset to process
Returns: `list`
  The list of notifiers (containing 0 or 1 member)